/*
 * mpl-lib.h
 *
 * by Alexander Zhirov (alexander@zhirov.kz)
 * Telegram @alexanderzhirov
 */

#ifndef MPL_LIB_H_
#define MPL_LIB_H_

#include <stdlib.h>
#include <signal.h>
#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <syslog.h>

#define MPL "mportlink"

#define MPLOG(PRIORITY, fmt, ...) do { \
        char buf[256]; \
        snprintf(buf, sizeof(buf), fmt __VA_OPT__(,) __VA_ARGS__); \
        PRIORITY < LOG_WARNING ? \
            syslog(PRIORITY, "%s(): %s (%s)", __func__, buf, \
                strerror(errno)) : \
            syslog(PRIORITY, "%s(): %s", __func__, buf); \
    } while(0)

typedef struct _MPL_UDEV MPL_UDEV;

struct _MPL_UDEV
{
    struct udev *udev;
    struct udev_monitor *monitor;
    int udev_fd;
};

#endif
