/*
 * mpl.c
 *
 * by Alexander Zhirov (alexander@zhirov.kz)
 * Telegram @alexanderzhirov
 */

#include "mpl.h"

static void signals_handler(int signum)
{
    MPLOG(LOG_WARNING, "cancelling the main loop (%d)", signum);
}

int main()
{
    int lock_fd = mpl_init();

    MPL_UDEV *mpl = mpl_new();
    mpl_udev_init(mpl);

    signal(SIGINT, signals_handler);
    signal(SIGHUP, signals_handler);
    signal(SIGTERM, signals_handler);

    mpl_stop(lock_fd);

    return EXIT_SUCCESS;
}
